Bug 1732501 - All the cloud tenants options are not visible in parent cloud tenant dropdown
Summary: All the cloud tenants options are not visible in parent cloud tenant dropdown
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.11.0
Assignee: Martin Maroši
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 13:36 UTC by Ganesh Hubale
Modified: 2019-12-13 14:58 UTC (History)
10 users (show)

Fixed In Version: 5.11.0.23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 14:58:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Ganesh Hubale 2019-07-23 13:36:21 UTC
Description of problem:
All the cloud tenants options are not visible in parent cloud tenant dropdown while creating cloud tenant

Version-Release number of selected component (if applicable):
5.11.0.15.20190718144823_3d0108f

How reproducible:
100%

Steps to Reproduce:
1. Add rhos provider
2. Navigate to compute > clouds > Tenants
3. Go to create tenant page and click on dropdown(Cloud Provider/Parent Cloud Tenant)

Actual results:
Dropdown(Cloud Provider/Parent Cloud Tenant) is not showing all options

Expected results:


Additional info:
- Working as expected in 5.10z

Comment 9 CFME Bot 2019-08-15 08:41:24 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/95602732c9e3a836f59a9e32710ea19df15ce4ec
commit 95602732c9e3a836f59a9e32710ea19df15ce4ec
Author:     Richard Vsiansky <r.vsia@seznam.cz>
AuthorDate: Wed Aug 14 07:23:36 2019 -0400
Commit:     Richard Vsiansky <r.vsia@seznam.cz>
CommitDate: Wed Aug 14 07:23:36 2019 -0400

    Make select in new cloud tenant always headed to bottom

    https://bugzilla.redhat.com/show_bug.cgi?id=1732501

 app/javascript/components/cloud-tenant-form/create-form.schema.js | 1 +
 app/javascript/spec/cloud-tenant-form/__snapshots__/cloud-tenant-form.spec.js.snap | 1 +
 2 files changed, 2 insertions(+)

Comment 10 CFME Bot 2019-08-16 20:37:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ad61f26630f0252e8fb37460e3ad792e3a09ff0f
commit ad61f26630f0252e8fb37460e3ad792e3a09ff0f
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Aug 15 04:38:44 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Thu Aug 15 04:38:44 2019 -0400

    Merge pull request #6018 from rvsia/tenant-select

    Make select in new cloud tenant always headed to bottom

    (cherry picked from commit 715d2766918cb030ece8affe2b97277aa989d516)

    https://bugzilla.redhat.com/show_bug.cgi?id=1732501

 app/javascript/components/cloud-tenant-form/create-form.schema.js | 1 +
 app/javascript/spec/cloud-tenant-form/__snapshots__/cloud-tenant-form.spec.js.snap | 1 +
 2 files changed, 2 insertions(+)

Comment 17 CFME Bot 2019-08-28 11:27:49 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e91eca7f797138a3f626434220e17814a34caa20
commit e91eca7f797138a3f626434220e17814a34caa20
Author:     Martin Marosi <marvusm.mmi@gmail.com>
AuthorDate: Wed Aug 28 06:38:37 2019 -0400
Commit:     Martin Marosi <marvusm.mmi@gmail.com>
CommitDate: Wed Aug 28 06:38:37 2019 -0400

    Update data driven forms to v1.15.6

    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1729940
    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1732501

 package.json | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 18 CFME Bot 2019-08-31 00:02:12 UTC
New commit detected on ManageIQ/manageiq-ui-classic/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-classic/commit/9046bfb46b58e1870e4f4510d0cfa42a10455aea
commit 9046bfb46b58e1870e4f4510d0cfa42a10455aea
Author:     Martin Marosi <marvusm.mmi@gmail.com>
AuthorDate: Wed Aug 28 10:19:46 2019 -0400
Commit:     Martin Marosi <marvusm.mmi@gmail.com>
CommitDate: Wed Aug 28 10:19:46 2019 -0400

    Update version of data driven forms to v1.15.6

    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1729940
    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1732501
    fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1727920

 package.json | 4 +-
 yarn.lock | 16 +-
 2 files changed, 10 insertions(+), 10 deletions(-)

Comment 19 Parthvi Vala 2019-09-06 17:56:36 UTC
FIXED. Verified on 5.11.0.23.20190904213640_d113674.


Note You need to log in before you can comment on or make changes to this bug.